Enable or disable one compliance framework
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/org/security/compliance/frameworks/{framework_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'{
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>",
"control_count": 123,
"automated_control_count": 123,
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Enable or disable one compliance framework
PATCH
/
org
/
security
/
compliance
/
frameworks
/
{framework_key}
Enable or disable one compliance framework
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/org/security/compliance/frameworks/{framework_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'{
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>",
"control_count": 123,
"automated_control_count": 123,
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
The updated framework switch with a live score when enabled.